import { defineConfig } from '@umijs/max';
import routes from './routes';

const mode = process.env.mode;
let options = {};
if(mode === 'development') {
  options = {
    define: {
      "process.env": {
        NODE_ENV: JSON.stringify(mode)
      }
    }
  }
} else if (mode === 'production') {
  options = {
    define: {
      "process.env": {
        NODE_ENV: JSON.stringify(mode)
      }
    }
  }
}

export default defineConfig({
  options,
  dva: {},
  antd: {},
  access: {
    
  },
  model: {},
  initialState: {
    
  },
  request: {},
  layout: {
    title: '菊城人才网',
    logo: '/images/logo_1.jpg',
    token: {
      colorPrimary: '#4FBE70'
    },
  },
  routes: routes,
  hash: true,
  npmClient: 'npm',

});

